Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class LocalInstrumentSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.LocalInstrumentSDD

    public class LocalInstrumentSDD
    extends java.lang.Object

Java class for LocalInstrumentSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LocalInstrumentSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Cd">
               <simpleType>
                 <restriction base="{urn:swift:xsd:$pain.008.002.01}LocalInstrumentCodeSDD">
                   <enumeration value="CORE"/>
                   <enumeration value="B2B"/>
                 </restriction>
               </simpleType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected LocalInstrumentCodeSDD` `cd`

### Constructor Summary

Constructors
`LocalInstrumentSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LocalInstrumentCodeSDD` `getCd()` Gets the value of the cd property.
`void` `setCd​(LocalInstrumentCodeSDD value)` Sets the value of the cd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cd

    protected LocalInstrumentCodeSDD cd

### Constructor Detail

#### LocalInstrumentSDD

    public LocalInstrumentSDD()

### Method Detail

#### getCd

    public LocalInstrumentCodeSDD getCd()

Gets the value of the cd property.

Returns:
  possible object is `LocalInstrumentCodeSDD`

#### setCd

    public void setCd​(LocalInstrumentCodeSDD value)

Sets the value of the cd property.

Parameters:
  `value` - allowed object is `LocalInstrumentCodeSDD`